
Foreman - Feature #3571

add possibility to ignore/hide :debug and :info logs

11/04/2013 02:13 PM - David Schmitt

Status: Closed   

Priority: Low   

Assignee:    

Category: Reporting   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

please apply the following patch to fix a minor glitch when running puppet agent --verbose:

diff --git a/modules/foreman/templates/foreman-report_v2.rb.erb b/modules/foreman/templates/forema

n-report_v2.rb.erb

index cd93985..d127643 100644

--- a/modules/foreman/templates/foreman-report_v2.rb.erb

+++ b/modules/foreman/templates/foreman-report_v2.rb.erb

@@ -99,7 +99,8 @@ Puppet::Reports.register_report(:foreman) do

     # special fix for false warning about skips

     # sometimes there are skip values, but there are no error messages, we ignore them.

-    if report_status["skipped"] > 0 and ((report_status.values.inject(:+)) - report_status["skipp

ed"] == report.logs.size)

+    # add one for ignoring the "Finished catalog run in X seconds" notice

+    if report_status["skipped"] > 0 and ((report_status.values.inject(:+)) - report_status["skipp

ed"] + 1 == report.logs.find_all { |l| l.level != :debug and l.level != :info }.size)

       report_status["skipped"] = 0

     end

     # fix for reports that contain no metrics (i.e. failed catalog)

Associated revisions

Revision 51a63dc9 - 12/18/2013 09:51 AM - Michael Moll 

refs #3571 - add filter for notice level in report

History

#1 - 11/04/2013 02:17 PM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from Reporting to Foreman modules

Would you mind submitting a PR to https://github.com/theforeman/puppet-foreman?  Thanks!

#2 - 12/16/2013 10:31 AM - Anonymous

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1094

#3 - 12/17/2013 01:32 AM - Anonymous

- Project changed from Installer to Foreman

- Subject changed from foreman: fix report.rb to ignore :debug and :info logs to add possibility to ignore/hide :debug and :info logs

- Category changed from Foreman modules to Reporting

- Assignee set to Anonymous
https://github.com/theforeman/puppet-foreman
https://github.com/theforeman/foreman/pull/1094


#4 - 12/18/2013 01:13 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 2

I'm closing this.

David, I hope the filter in the UI is a solution for you.

#5 - 01/09/2014 02:29 PM - Dominic Cleal

- Target version set to 1.9.2
